Bug 1254957 - Remove deprecated keys from list
Remove deprecated keys from list
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ovirt-3.6.1
: 3.6.0
Assigned To: Moti Asayag
Gonza
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 06:20 EDT by Andrei Stepanov
Modified: 2016-04-19 21:11 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:11:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46672 master MERGED core: Remove deprecated config value Never
oVirt gerrit 46676 ovirt-engine-3.6 MERGED core: Remove deprecated config value Never

  None (edit)
Description Andrei Stepanov 2015-08-19 06:20:41 EDT
engine-config

Can show all keys:
-a, --all
           Get all available configuration values.

Also, it can show specific key:
-g KEY, --get=KEY
           Get the value of the given key for the given version.


Both of this options should show the same info for the same key.

# engine-config -a | grep MacPoolRanges
MacPoolRanges: 00:1a:4a:42:30:00-00:1a:4a:42:30:ff version: general

# engine-config -g MacPoolRanges
Configuration key MacPoolRanges is deprecated, thus cannot get its value.

There are also other keys, that cannot be read.

It is definitely bad behavior to display different text -a/-g options.

Bug summary: -g & -a should show the same text and be synchronized.


rhevm-tools-3.6.0-0.11.master.el6.noarch
Comment 1 Moti Asayag 2015-09-24 08:18:59 EDT
Confirmed no differences between the engine-config's output by comparing:

engine-config -a | while read LINE
do 
  verb=`echo $LINE | cut -f1 -d:`
  echo $LINE
  engine-config -g $verb
  echo "---------------------"
done
Comment 2 Red Hat Bugzilla Rules Engine 2015-10-20 07:24:41 EDT
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 3 Red Hat Bugzilla Rules Engine 2015-10-20 07:27:13 EDT
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 4 Gonza 2015-11-26 03:05:33 EST
On which version has this been fixed?
Comment 5 Moti Asayag 2015-11-26 04:04:14 EST
(In reply to Gonza from comment #4)
> On which version has this been fixed?

It was merged to branch ovirt-engine-3.6 and is included on rhev-3.6.0-22
Comment 6 Gonza 2015-11-26 10:08:14 EST
Verified with:
ovirt-engine-3.6.2-0.0.master.20151124181807.git6d4897e.fc22.noarch

# engine-config -a | grep MacPoolRanges
{no output}
# engine-config -g MacPoolRanges
null

Note You need to log in before you can comment on or make changes to this bug.